
%define _cmake_skip_rpath %nil

%define api	%(echo %{version} | awk -F. '{print $1"."$2 + $2 % 2}')
%define url_ver	%(echo %{version}|cut -d. -f1,2)
%define eds_ver	%(echo %{version}|cut -d. -f1-3)

Name:		evolution
Summary:	Integrated GNOME mail client, calendar and address book
Version:	3.40.4
Release:	%mkrel 3
License:	GPLv2+ and GFDL
Group:		Networking/Mail
Source0: 	https://download.gnome.org//sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL: 		https://wiki.gnome.org/Apps/Evolution
#------------------------------------------------
BuildRequires: clutter-devel
BuildRequires: clutter-gtk-devel
BuildRequires: cmake
BuildRequires: cogl-devel
BuildRequires: evolution-data-server-devel
BuildRequires: glibc-devel 
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: lib64archive-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel 
BuildRequires: lib64canberra-devel 
BuildRequires: lib64canberra-gtk3-devel
BuildRequires: lib64champlain-devel 
BuildRequires: lib64enchant2-devel
BuildRequires: lib64gail3.0-devel
BuildRequires: lib64gcr-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64geocode-glib-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gnome-autoar-devel
BuildRequires: lib64goa-devel
BuildRequires: lib64gspell-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64gweather-devel
BuildRequires: lib64ical-devel
BuildRequires: lib64json-glib-devel
BuildRequires: lib64ldap2.4_2-devel
BuildRequires: lib64mx1.0-devel 
BuildRequires: lib64notify-devel
BuildRequires: lib64nspr-devel
BuildRequires: lib64nss-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64pst-devel
BuildRequires: lib64secret-devel
BuildRequires: lib64soup-devel
BuildRequires: lib64sqlite3-devel
BuildRequires: lib64webkit2-devel
BuildRequires: lib64xml2-devel 
BuildRequires: lib64ytnef-devel 
BuildRequires: p11-kit-devel 
BuildRequires: x11-proto-devel
BuildRequires: lib64ldap2.4_2-devel
BuildRequires: bogofilter
BuildRequires: spamassassin
BuildRequires: highlight
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: desktop-file-utils
BuildRequires: gettext-devel
BuildRequires: yelp-tools
BuildRequires: gtk-doc
#------------------------------------------------
Requires: evolution-data-server
Requires: gstreamer1.0-plugins-good
Requires: bogofilter
Requires: glib-networking
Requires: lib64glib-networking
Requires: gnome-online-accounts
Requires: xdg-dbus-proxy
Requires: bubblewrap
#------------------------------------------------

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool. 

%package -n %{name}-devel
Summary:	Libraries and include files for developing Evolution components
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-devel
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains the files necessary to develop applications
using Evolution's libraries.

%prep
%setup -q

# Remove the welcome email from Novell
for inbox in src/mail/default/*/Inbox; do
	echo -n "" > $inbox
done

%build
%cmake -G "Unix Makefiles" \
	-DENABLE_MAINTAINER_MODE=OFF \
	-DVERSION_SUBSTRING=" (%{version}-%{release})" \
	-DENABLE_PLUGINS=all \
	-DENABLE_YTNEF=ON \
	-DENABLE_INSTALLED_TESTS=OFF \
    -DWITH_OPENLDAP=ON \
    -DENABLE_SMIME=ON \
    -DENABLE_GTK_DOC=ON \
    -DWITH_HELP=ON \
    -DWITH_ENCHANT_VERSION=2 \
    -DENABLE_CONTACT_MAPS=ON \
    -DENABLE_GNOME_DESKTOP=OFF

        
%cmake_build

%install
%cmake_install

desktop-file-install --vendor="" \
	--remove-category="Office" \
	--remove-category="Calendar" \
	--remove-category="ContactManagement" \
	--add-category="Network" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/org.gnome.Evolution.desktop

rm -fr %{buildroot}/var/lib/

%find_lang evolution --all-name --with-gnome

%files -f %{name}.lang
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/GConf/gsettings/%{name}.convert
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%dir %{_libdir}/%{name}/modules/
%{_libdir}/%{name}/modules/module-cal-config-webdav-notes.*
%{_libdir}/%{name}/modules/module-accounts-window.*
%{_libdir}/%{name}/modules/module-addressbook.*
%{_libdir}/%{name}/modules/module-backup-restore.*
%{_libdir}/%{name}/modules/module-bogofilter.*
%{_libdir}/%{name}/modules/module-book-config-google.*
%{_libdir}/%{name}/modules/module-book-config-ldap.*
%{_libdir}/%{name}/modules/module-book-config-local.*
%{_libdir}/%{name}/modules/module-book-config-carddav.*
%{_libdir}/%{name}/modules/module-cal-config-caldav.*
%{_libdir}/%{name}/modules/module-cal-config-contacts.*
%{_libdir}/%{name}/modules/module-cal-config-google.*
%{_libdir}/%{name}/modules/module-cal-config-local.*
%{_libdir}/%{name}/modules/module-cal-config-weather.so
%{_libdir}/%{name}/modules/module-cal-config-webcal.*
%{_libdir}/%{name}/modules/module-calendar.*
%{_libdir}/%{name}/modules/module-composer-autosave.*
%{_libdir}/%{name}/modules/module-composer-to-meeting.so
%{_libdir}/%{name}/modules/module-config-lookup.*
%{_libdir}/%{name}/modules/module-itip-formatter.*
%{_libdir}/%{name}/modules/module-mail.*
%{_libdir}/%{name}/modules/module-mail-config.*
%{_libdir}/%{name}/modules/module-mailto-handler.*
%{_libdir}/%{name}/modules/module-mdn.*
%{_libdir}/%{name}/modules/module-offline-alert.*
%{_libdir}/%{name}/modules/module-plugin-lib.*
%{_libdir}/%{name}/modules/module-plugin-manager.*
%{_libdir}/%{name}/modules/module-prefer-plain.*
%{_libdir}/%{name}/modules/module-settings.*
%{_libdir}/%{name}/modules/module-spamassassin.*
%{_libdir}/%{name}/modules/module-startup-wizard.*
%{_libdir}/%{name}/modules/module-text-highlight.*
%{_libdir}/%{name}/modules/module-vcard-inline.*
%{_libdir}/%{name}/modules/module-contact-photos.*
%{_libdir}/%{name}/modules/module-gravatar.*
%{_libdir}/%{name}/modules/module-webkit-editor.*
%{_libdir}/%{name}/modules/module-webkit-inspector.*
%{_libdir}/%{name}/modules/module-tnef-attachment.so
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/liborg-gnome-evolution-sender-validation.so
%{_libdir}/%{name}/plugins/org-gnome-evolution-sender-validation.eplug
%{_libdir}/%{name}/plugins/liborg-gnome-d*
%{_libdir}/%{name}/plugins/liborg-gnome-email-custom-header.so
%{_libdir}/%{name}/plugins/liborg-gnome-evolution-attachment-reminder.so
%{_libdir}/%{name}/plugins/liborg-gnome-evolution-bbdb.*
%{_libdir}/%{name}/plugins/liborg-gnome-external-editor.so
%{_libdir}/%{name}/plugins/liborg-gnome-face*
%{_libdir}/%{name}/plugins/liborg-gnome-m*
%{_libdir}/%{name}/plugins/liborg-gnome-p*
%{_libdir}/%{name}/plugins/liborg-gnome-s*
%{_libdir}/%{name}/plugins/liborg-gnome-t*
%{_libdir}/%{name}/plugins/org-gnome-d*
%{_libdir}/%{name}/plugins/org-gnome-email-custom-header.eplug
%{_libdir}/%{name}/plugins/org-gnome-evolution-attachment-reminder.eplug
%{_libdir}/%{name}/plugins/org-gnome-evolution-bbdb.eplug
%{_libdir}/%{name}/plugins/org-gnome-external-editor.*
%{_libdir}/%{name}/plugins/org-gnome-face*
%{_libdir}/%{name}/plugins/org-gnome-mail-notification*
%{_libdir}/%{name}/plugins/org-gnome-mail-to-task.eplug
%{_libdir}/%{name}/plugins/org-gnome-mailing-list-actions.eplug
%{_libdir}/%{name}/plugins/org-gnome-publish-calendar.eplug
%{_libdir}/%{name}/plugins/org-gnome-prefer-plain.eplug
%{_libdir}/%{name}/plugins/org-gnome-pst-import.eplug
%{_libdir}/%{name}/plugins/org-gnome-save-calendar.eplug
%{_libdir}/%{name}/plugins/org-gnome-templates.eplug
%{_libdir}/%{name}/web-extensions/libewebextension.so
%{_libdir}/%{name}/web-extensions/webkit-editor/module-webkit-editor-webextension.so
%{_libdir}/evolution-data-server/ui-modules/module-evolution-alarm-notify.so
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/evolution-backup
%{_libexecdir}/%{name}/killev
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/metainfo/org.gnome.Evolution.appdata.xml
%{_datadir}/metainfo/org.gnome.Evolution-*.metainfo.xml
%{_mandir}/man1/evolution.1*
%{_datadir}/help

%files -n %{name}-devel
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*

%post
%update_menus
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%clean_menus
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Mon Feb 27 2023 tex - 3.40.4-3pclos2023
- rebuild without soup3-devel
